curl --request GET \
--url https://gate.chip-in.asia/api/v1/payment_methods/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://gate.chip-in.asia/api/v1/payment_methods/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gate.chip-in.asia/api/v1/payment_methods/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gate.chip-in.asia/api/v1/payment_methods/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gate.chip-in.asia/api/v1/payment_methods/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gate.chip-in.asia/api/v1/payment_methods/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gate.chip-in.asia/api/v1/payment_methods/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"available_payment_methods": [
"visa",
"mastercard",
"maestro"
],
"by_country": {
"any": [
"card"
],
"GB": [
"maestro"
]
},
"country_names": {
"any": "Other",
"GB": "United Kingdom"
},
"names": {
"visa": "Visa",
"mastercard": "Mastercard",
"maestro": "Maestro"
},
"logos": {
"maestro": "/static/images/icon-maestro.svg",
"visa": "/static/images/icon-visa.svg",
"mastercard": "/static/images/icon-mastercard.svg"
},
"card_methods": [
"visa",
"mastercard",
"maestro"
]
}"{\n \"__all__\": {\n \"message\": \"descriptive error message\",\n \"code\": \"error_code\"\n }\n}\n"List of payment methods
Always send the
amountquery parameter, e.g.&amount=1000for RM 10. Without it, only card methods (visa, mastercard, maestro) and a few others are returned — most methods (FPX, DuitNow QR, Shopee Pay, etc.) have a minimum amount and are hidden from the response.RM 10 (
1000) is a safe value that covers every method’s minimum.
Send this request providing the brand_id and currency query parameters, with the same values you’d use to create your Purchase. Be sure to use the same API key you’ll create your Purchase with; it will define the test_mode setting used in the lookup.
In the response body you’ll receive an object with available_payment_methods property containing the list of payment method names available to use with your Purchase (e.g. those codes can be used in payment_method_whitelist field or with ?preferred={payment_method} option of checkout_url).
Please note that all lookup arguments must be provided via query parameters after the endpoint, e.g. the minimal call would be similar to: GET /api/v1/payment_methods/?brand_id=75a76529-91c7-4d98-90a9-8a641d70ee52¤cy=MYR&amount=1000
curl --request GET \
--url https://gate.chip-in.asia/api/v1/payment_methods/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://gate.chip-in.asia/api/v1/payment_methods/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gate.chip-in.asia/api/v1/payment_methods/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gate.chip-in.asia/api/v1/payment_methods/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gate.chip-in.asia/api/v1/payment_methods/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gate.chip-in.asia/api/v1/payment_methods/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gate.chip-in.asia/api/v1/payment_methods/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"available_payment_methods": [
"visa",
"mastercard",
"maestro"
],
"by_country": {
"any": [
"card"
],
"GB": [
"maestro"
]
},
"country_names": {
"any": "Other",
"GB": "United Kingdom"
},
"names": {
"visa": "Visa",
"mastercard": "Mastercard",
"maestro": "Maestro"
},
"logos": {
"maestro": "/static/images/icon-maestro.svg",
"visa": "/static/images/icon-visa.svg",
"mastercard": "/static/images/icon-mastercard.svg"
},
"card_methods": [
"visa",
"mastercard",
"maestro"
]
}"{\n \"__all__\": {\n \"message\": \"descriptive error message\",\n \"code\": \"error_code\"\n }\n}\n"Authorizations
Query Parameters
Amount of money as the smallest indivisible units of the currency (e.g. 1000 for RM 10). Strongly recommended in practice even though it's marked optional in the schema — most payment methods (FPX, DuitNow QR, Shopee Pay, etc.) have a minimum amount, and omitting this parameter hides them from the response. Use a value at or above the highest minimum among the methods you want to expose; RM 10 (1000) is a safe default.
Response
OK